| Unuk 1.0

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Entity Member List
This is the complete list of members for Entity, including all inherited members.

CanBeRemoved(void) const | Entity |
Destroy(void) | Entity |
Entity(GameWorld *const gameWorld) | Entity |
GetPosition(void) const =0 | Entity | `[pure virtual]`
GetType(void) const =0 | Entity | `[pure virtual]`
Initialize(void) | Entity |
PostRender(void) | Entity |
Prepare(float dt) | Entity |
Render(void) const | Entity |
SetPosition(const Vector2 &position)=0 | Entity | `[pure virtual]`
Shutdown(void) | Entity |
Static() | Static | `[inline, private]`
~Entity(void) | Entity | `[virtual]`
~Static() | Static | `[inline, private]`

All Classes Files Functions Variables Typedefs Enumerations Enumerator Defines